API Reference

Update Text Context Item Version

This endpoint allows you to update any combination of the text context item version's name, content, or primary flag.

Endpoint
PATCH https://api.zatomic.ai/v1/context/items/{contextItemId}/versions/{versionId}/text

// Example
PATCH https://api.zatomic.ai/v1/context/items/ctx_2qRzu8geIvfudcJTwP0pur4TbMJ/versions/ctv_2qRzu8qzlNOMhTrini2EKCDh5r6/text

Endpoint Request

Request Properties
content
string
Text content for the version.
name
string, optional
Name of the version.
is_primary
boolean, optional
Flag that determines if the version is the primary version for the context item.
Request Body
{
   "name": "Context item version name",
   "content": "This is a reusable piece of text.",
   "is_primary": true
}

Endpoint Response

A successful call returns a response that contains the updated context item version object.

HTTP Status Codes
200 OK The context item version was updated.
404 Not Found The context item version didn't exist.
423 Locked The context item version was locked.
500 Internal Server Error Something went wrong on Zatomic's end.